
Foreman - Bug #23991

Even with the RSS feed disabled, community items are still present

06/18/2018 10:57 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Notifications   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1576367 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5737,

https://github.com/theforeman/foreman/p

ull/5802

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1576367

Description of problem:

Satellite 6.4 introduced RSS feed functionality to display community news in the notification area. The feed itself is configurable in

Administer -> Settings menu, Notification tab, where it can be disabled. But even if disabled, the "Community" category is still present

in the notification drawer.

Version-Release number of selected component (if applicable):

Satellite 6.4 Snap 2

How reproducible:

always

Steps to Reproduce:

1. Have the RSS feed enabled, and the "Community" category with a few items in the notification drawer.

2. Disable the RSS feed in Administer->Settings->Notifications

3. Check the notification drawer

Actual results:

The "Community" category still present.

Expected results:

The "Community" category disappears from the notification drawer.

Additional info:

Given some time (in order of hours), the "Community" category finally disappears. I understand that the RSS feed is checked every

12 hours, and probably the task finds that it was disabled at that time, and removes the feed from the notification drawer. Despite

this, I think it will be confusing for the user, if he disables the RSS, and it is still present for a rather long time.

Associated revisions

Revision e4df3b80 - 06/27/2018 10:25 AM - Amir Fefer

Fixes #23991 - rephrase RSS setting description

History

#1 - 06/19/2018 04:36 AM - Marek Hulán

- Category set to Notifications

- Priority changed from High to Normal

We need to rephrase the setting description. Instead of get, we should use receive or pull as it felt like user wouldn't even see existing rss

notifications.
#2 - 06/25/2018 12:10 PM - Amir Fefer

- Assignee set to Amir Fefer

#3 - 06/25/2018 12:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5737 added

#4 - 06/27/2018 11:01 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e4df3b804f5cf3c0633dd7e6acbf78d523a06884.

#5 - 06/27/2018 12:48 PM - Walden Raines

- translation missing: en.field_release set to 330

- Triaged set to No

Needed in 1.18

#6 - 07/09/2018 06:16 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5802 added
